Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.infra.jade
Class JadeExecutionControl

    java.lang.Object
      jade.core.Agent
          jason.infra.jade.JadeAg
              jason.infra.jade.JadeExecutionControl

All Implemented Interfaces:
  jade.core.TimerListener, ExecutionControlInfraTier, java.io.Serializable, java.lang.Runnable

    public class JadeExecutionControl

extends JadeAg
implements ExecutionControlInfraTier

Concrete execution control implementation for Jade infrastructure.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jade.core.Agent
`jade.core.Agent.Interrupted`

Field Summary
`static java.lang.String` | `controllerOntology`

Fields inherited from class jason.infra.jade.JadeAg
`ASKALL, ASKHOW, conversationIds, logger, running, rwid, TELLHOW, UNACHIEVE, UNTELL, UNTELLHOW`

Fields inherited from class jade.core.Agent
`AP_ACTIVE, AP_DELETED, AP_IDLE, AP_INITIATED, AP_MAX, AP_MIN, AP_SUSPENDED, AP_WAITING, D_ACTIVE, D_MAX, D_MIN, D_RETIRED, D_SUSPENDED, D_UNKNOWN, MSG_QUEUE_CLASS`

Constructor Summary
`JadeExecutionControl()`

Method Summary
`org.w3c.dom.Document` | `getAgState(java.lang.String agName)` Gets the agent state (beliefs, intentions, plans, ...) as an XML document
`RuntimeServicesInfraTier` | `getRuntimeServices()` Gets an object with infrastructure runtime services
`ExecutionControl` | `getUserControl()`
`void` | `informAgToPerformCycle(java.lang.String agName, int cycle)` Informs an agent to continue to its next reasoning cycle.
`void` | `informAllAgsToPerformCycle(int cycle)` Informs all agents to continue to its next reasoning cycle.
`void` | `setup()`
`protected void` | `takeDown()`

Methods inherited from class jason.infra.jade.JadeAg
`aclToKqml, addAllAgsAsReceivers, ask, broadcast, doDelete, isRunning, jasonToACL, kqmlToACL, sendMsg`

Methods inherited from class jade.core.Agent
`addBehaviour, afterClone, afterMove, beforeClone, beforeMove, blockingReceive, blockingReceive, blockingReceive, blockingReceive, changeStateTo, clean, createMessageQueue, doActivate, doClone, doMove, doSuspend, doTimeOut, doWait, doWait, doWake, getAgentState, getAID, getAMS, getArguments, getBootProperties, getContainerController, getContentManager, getCurQueueSize, getDefaultDF, getHap, getHelper, getLocalName, getName, getO2AObject, getProperty, getQueueSize, getState, here, isRestarting, join, notifyChangeBehaviourState, notifyRestarted, postMessage, putBack, putO2AObject, receive, receive, removeBehaviour, removeTimer, restartLater, restore, restoreBufferedState, run, send, setArguments, setEnabledO2ACommunication, setGenerateBehaviourEvents, setO2AManager, setQueueSize, waitUntilStarted, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### controllerOntology

    public static java.lang.String controllerOntology

Constructor Detail

### JadeExecutionControl

    public JadeExecutionControl()

Method Detail

### setup

    public void setup()

  Overrides:
    `setup` in class `jade.core.Agent`

### takeDown

    protected void takeDown()

  Overrides:
    `takeDown` in class `jade.core.Agent`

### getUserControl

    public ExecutionControl getUserControl()

### informAgToPerformCycle

    public void informAgToPerformCycle(java.lang.String agName,
                                       int cycle)

  Description copied from interface: `ExecutionControlInfraTier`
  Informs an agent to continue to its next reasoning cycle.

  Specified by:
    `informAgToPerformCycle` in interface `ExecutionControlInfraTier`

### informAllAgsToPerformCycle

    public void informAllAgsToPerformCycle(int cycle)

  Description copied from interface: `ExecutionControlInfraTier`
  Informs all agents to continue to its next reasoning cycle.

  Specified by:
    `informAllAgsToPerformCycle` in interface `ExecutionControlInfraTier`

### getAgState

    public org.w3c.dom.Document getAgState(java.lang.String agName)

  Description copied from interface: `ExecutionControlInfraTier`
  Gets the agent state (beliefs, intentions, plans, ...) as an XML document

  Specified by:
    `getAgState` in interface `ExecutionControlInfraTier`

### getRuntimeServices

    public RuntimeServicesInfraTier getRuntimeServices()

  Description copied from interface: `ExecutionControlInfraTier`
  Gets an object with infrastructure runtime services

  Specified by:
    `getRuntimeServices` in interface `ExecutionControlInfraTier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD